Subject: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Aaron Jensen <[email-masked]>
Date: Wed, 31 Oct 2018 21:51:32 -0700

On October 31, 2018 at 10:13:01 AM, Alan Third
([email-masked](mailto:[email-masked])) wrote:

> I was hoping I’d manage to get something going with this but it’s
> completely fine here. Does the line blank, then redraw, then the image
> loads in its new buffer?

AFAICT it blanks, then loads the buffer. If I go back to the previous
buffer the line is filled in. If I attempt to load the same image
again, it does not blank. It’s only the first time for each image.

> Something is blanking the line. There are only so many places where
> that happens so in theory it should be relatively straight‐forward to
> find the place in question. Perhaps start by commenting out the
> NSRectFill commands in ns_clear_frame and ns_clear_frame_area.

I commented out every single NSRectFill and it still did it. It’s
fast, but gif attached.

I tried commenting out the setNeedsDisplay but that breaks rendering entirely.